Arch Truss

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Previous: Arch Frame.svg Frame
Next: Equipement Arch Equipment.svg Arrow-right.svg

Arch Truss.svg Arch Truss

Menu location
Arch → Truss
Workbenches
Arch
Default shortcut
None
Introduced in version
0.19
See also
None


Description

The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected whn launching the command.

Arch Truss example.png

Usage

Creating from a selected object

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss.svg Arch Truss button
  4. Adjust the truss properties to your liking


Creating from scratch

  1. Make sure nothing is selected
  2. Press the Arch Truss.svg Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Properties

Data

  • DataTrussAngle: The angle of the truss
  • DataSlantType: The slant type of this truss
  • DataNormal: The normal direction of this truss
  • DataHeightStart: The height of the truss at the start position
  • DataHeightEnd: The height of the truss at the end position
  • DataStrutStartOffset: An optional start offset for the top strut
  • DataStrutEndOffset: An optional end offset for the top strut
  • DataStrutHeight: The height of the main top and bottom elements of the truss
  • DataStrutWidth: The width of the main top and bottom elements of the truss
  • DataRodType: The type of the middle element of the truss
  • DataRodDirection: The direction of the rods
  • DataRodSize: The diameter or side of the rods
  • DataRodSections: The number of rod sections
  • DataRodEnd: If the truss has a rod at its endpoint or not
  • DataRodMode: How to draw the rods

Scripting

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Example:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties
Arrow-left.svg Previous: Arch Frame.svg Frame
Next: Equipment Arch Equipment.svg Arrow-right.svg